Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.tools.schemaframework
Class ForeignKeyConstraint

`java.lang.Object
oracle.toplink.tools.schemaframework.ForeignKeyConstraint`

All Implemented Interfaces:
  java.io.Serializable

public class ForeignKeyConstraint
extends java.lang.Object
implements java.io.Serializable

Purpose: Define a foreign key from one table to another. This support composite foreign keys can constraint options.

See Also:
  Serialized Form

Constructor Summary
`ForeignKeyConstraint()`
`ForeignKeyConstraint(java.lang.String name, java.lang.String sourceField, java.lang.String targetField, java.lang.String targetTable)`

Method Summary
`void` | `addSourceField(java.lang.String sourceField)`
`void` | `addTargetField(java.lang.String targetField)`
`void` | `cascadeOnDelete()` PUBLIC: Enables delete cascading on the database.
`void` | `dontCascadeOnDelete()` PUBLIC: Disables delete cascading on the database, this is the default.
`java.lang.String` | `getName()`
`java.util.Vector` | `getSourceFields()`
`java.util.Vector` | `getTargetFields()`
`java.lang.String` | `getTargetTable()`
`void` | `setName(java.lang.String name)`
`void` | `setShouldCascadeOnDelete(boolean shouldCascadeOnDelete)` PUBLIC: Enables delete cascading on the database.
`void` | `setSourceFields(java.util.Vector sourceFields)`
`void` | `setTargetFields(java.util.Vector targetFields)`
`void` | `setTargetTable(java.lang.String targetTable)`
`boolean` | `shouldCascadeOnDelete()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForeignKeyConstraint

    public ForeignKeyConstraint()

### ForeignKeyConstraint

    public ForeignKeyConstraint(java.lang.String name,
                                java.lang.String sourceField,
                                java.lang.String targetField,
                                java.lang.String targetTable)

Method Detail

### addSourceField

    public void addSourceField(java.lang.String sourceField)

### addTargetField

    public void addTargetField(java.lang.String targetField)

### cascadeOnDelete

    public void cascadeOnDelete()

  PUBLIC: Enables delete cascading on the database. This must be used carefully, i.e. only private relationships.

### dontCascadeOnDelete

    public void dontCascadeOnDelete()

  PUBLIC: Disables delete cascading on the database, this is the default.

### getName

    public java.lang.String getName()

### getSourceFields

    public java.util.Vector getSourceFields()

### getTargetFields

    public java.util.Vector getTargetFields()

### getTargetTable

    public java.lang.String getTargetTable()

### setName

    public void setName(java.lang.String name)

### setShouldCascadeOnDelete

    public void setShouldCascadeOnDelete(boolean shouldCascadeOnDelete)

  PUBLIC: Enables delete cascading on the database. This must be used carefully, i.e. only private relationships.

### setSourceFields

    public void setSourceFields(java.util.Vector sourceFields)

### setTargetFields

    public void setTargetFields(java.util.Vector targetFields)

### setTargetTable

    public void setTargetTable(java.lang.String targetTable)

### shouldCascadeOnDelete

    public boolean shouldCascadeOnDelete()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD